Package de.tudresden.sumo.objects

## Class SumoTLSProgram

- java.lang.Object
- - de.tudresden.sumo.objects.SumoTLSProgram

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoTLSProgram`

      public class SumoTLSProgram
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `currentPhaseIndex` |
    `HashMap<String,​String>` | `params` |
    `ArrayList<SumoTLSPhase>` | `phases` |
    `String` | `subID` |
    `int` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoTLSProgram()` |
    `SumoTLSProgram​(String subID, int type, int currentPhaseIndex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(SumoTLSPhase phase)` |
    `void` | `addParam​(String key, String value)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### subID

          public String subID

    - #### type

          public int type

    - #### currentPhaseIndex

          public int currentPhaseIndex

    - #### phases

          public ArrayList<SumoTLSPhase> phases

    - #### params

          public HashMap<String,​String> params

  - ### Constructor Detail

    - #### SumoTLSProgram

          public SumoTLSProgram()

    - #### SumoTLSProgram

          public SumoTLSProgram​(String subID,
                                int type,
                                int currentPhaseIndex)

  - ### Method Detail

    - #### add

          public void add​(SumoTLSPhase phase)

    - #### addParam

          public void addParam​(String key,
                               String value)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`